blk_rq_map_kern
Prev | Chapter 17. Block Devices | Next

## Name

blk_rq_map_kern — map kernel data to a request, for REQ_BLOCK_PC usage

## Synopsis

`int blk_rq_map_kern (` | struct request_queue * | q,
| struct request * | rq,
| void * | kbuf,
| unsigned int | len,
| gfp_t | gfp_mask`)`;

## Arguments

`q`

  request queue where request should be inserted

`rq`

  request to fill

`kbuf`

  the kernel buffer

`len`

  length of user data

`gfp_mask`

  memory allocation flags

Prev | Up | Next
blk_rq_unmap_user | Home | blk_release_queue